summaryrefslogtreecommitdiff
path: root/qa/071
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/071
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/071')
-rwxr-xr-xqa/07142
1 files changed, 42 insertions, 0 deletions
diff --git a/qa/071 b/qa/071
new file mode 100755
index 0000000..248768c
--- /dev/null
+++ b/qa/071
@@ -0,0 +1,42 @@
+#! /bin/sh
+# PCP QA Test No. 071
+# used to cause core dump when using libpcp_lite ... problem moved
+# slightly when libpcp_lite replaced by PM_CONTEXT_LOCAL
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+# real QA test starts here
+cd src
+$sudo rm -f core*
+
+for args in "" "-L" "-h localhost" "-a foo"
+do
+ echo
+ echo "sudo ./pcp_lite_crash $args ..."
+ eval $sudo ./pcp_lite_crash $args >$tmp.out 2>&1
+ s=$?
+
+ sed -e '/using .* kmem interface/d' $tmp.out \
+ | _filter_pmcd_log
+
+ if [ "`echo core*`" != "core*" ]
+ then
+ echo "In qa/src, running pcp_lite_crash created a core dump"
+ echo until this is fixed, my pid = $$
+ echo exit status is $s
+ exit $s
+ fi
+done
+
+exit 0
+